Skip to main content
POST
/
v1
/
images
/
generations
/
async
Generate image
curl --request POST \
  --url https://api.siray.ai/v1/images/generations/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aspect_ratio": "21:9",
  "model": "black-forest-labs/flux-1.1-pro-ultra-t2i",
  "output_format": "webp",
  "prompt": "example_value",
  "safety_tolerance": 1,
  "seed": -1
}
'
import requests

url = "https://api.siray.ai/v1/images/generations/async"

payload = {
"aspect_ratio": "21:9",
"model": "black-forest-labs/flux-1.1-pro-ultra-t2i",
"output_format": "webp",
"prompt": "example_value",
"safety_tolerance": 1,
"seed": -1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '21:9',
model: 'black-forest-labs/flux-1.1-pro-ultra-t2i',
output_format: 'webp',
prompt: 'example_value',
safety_tolerance: 1,
seed: -1
})
};

fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for image generation models

aspect_ratio
enum<string>
required

Aspect ratio

Available options:
21:9,
16:9,
3:2,
4:3,
5:4,
1:1,
4:5,
3:4,
2:3,
9:16,
9:21
model
enum<string>
required

Model name to use for the request

Available options:
black-forest-labs/flux-1.1-pro-ultra-t2i
prompt
string
required

Text prompt for generation

output_format
enum<string>

Output format for the 3D model

Available options:
webp,
jpg,
png
safety_tolerance
integer

Safety tolerance level, higher values allow more permissive content

Required range: 1 <= x <= 6
seed
integer

Random seed for generation

Required range: -1 <= x <= 9999999999

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result